Page Summary
-
This document describes how to list sites within a channel.
-
The HTTP request uses a GET method with specific advertiser and channel IDs in the path.
-
Path parameters include required
channelIdand optionaladvertiserId. -
Query parameters allow for filtering, pagination, and sorting of the results.
-
The request body is empty, and the response body contains a list of sites.
Lists sites in a channel.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels/{channelId}/sites
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the parent channel to which the requested sites belong. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: |
filter |
Allows filtering by site fields. Supported syntax:
Examples:
|
partnerId |
The ID of the partner that owns the parent channel. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListSitesResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.